+++
title = "Services hosted on jotoho.de"
description = "This page lists the various servers running under the jotoho.de domain name and by who and how they may be accessed."
date = "2021-06-29 22:14:11+02:00"
updated = "2023-03-02T16:57:24+01:00"
+++

Besides this website, my domain also has a number of other services/servers running that are set up for learning purposes or for personal use by myself, family and acquaintances. The list only contains services available from the public internet.

---

### Publicly accessible services

- [**This website**](https://www.jotoho.de): www.jotoho.de is currently being self-hosted using
  [a customized Caddy docker image](https://gitea.jotoho.de/jotoho/site-deployer)
- [**Personal Nextcloud**](https://nextcloud.jotoho.de): This Nextcloud instance is set up for use by myself and those I have invited to store, conveniently access and exchange files and other information.
- [**Forgejo**](https://gitea.jotoho.de): This git server was migrated from Gitea to Forgejo on 2023-01-17 as an emergency measure due to the potentially hostile takeover
  of the Gitea project.
  Account Registration is limited to whitelisted email domains and accounts need to manually be confirmed by me before becoming active.
- [**Vaultwarden**](https://bitwarden.jotoho.de): Instance of this Bitwarden server implementation for storing and synchronizing my access credentials
  and other secrets on my own infrastructure.
- [**Caddy public fileserver**](https://downloads.jotoho.de): For holding and serving public files directly via HTTPS without needing to go through Nextcloud.
  Has increased compatibility for use-cases like embedding images or media on this website.
- [**Vikunja Task Management**](https://tasks.jotoho.de): Online To-Do list and Tasks management. Family and Friends can request accounts to be created for them
  in order to be able to share to-do lists.
  It supports CalDAV synchronization with client devices.

---

### Special Purpose Subdomains

- **lab.jotoho.de**: Delegated to DigitalOcean Nameservers for quick configuration of droplets and other testing projects hosted there.
  Do not expect anything hosted under this subdomain or one of it's subdomains to live for more than a few hours or days.
  Security issues, Anomalies or detected abuse of this subdomain [should be immediately reported to me via email](mailto:security@jotoho.de),
  so I can investigate and implement corrective measures, if necessary.

---

### Potential future additions or experiments

When I bought this domain, it became clear to me how very versatile and useful it can be to have a publicly listed internet namespace so I am always trying to find and learn new ways to put the domain to good use and try out new technologies & server-side software that I view as interesting or useful.

Things I may set up and play with in the future:

- personal mastodon or activitypub-compatible server
- outgoing SMTP server for service notifications
- Apache Guacamole for remote control of devices
